Bug 165402 - CAN-2005-2103 Gaim malformed away message remote code execution
CAN-2005-2103 Gaim malformed away message remote code execution
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gaim (Show other bugs)
4.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
impact=critical,public=20050811,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-08 16:54 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2005-627
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-09 23:54:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for this issue (1.83 KB, patch)
2005-08-08 16:56 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-08-08 16:54:52 EDT
2. There is an oscar remotely exploitable crash bug.  A remote AIM or ICQ user
would need to compile their own client and send a specially crafted IM
(basically an IM containing lots of %s, and flag it as an away message).  It
results in a buffer overflow.  A fix for this has not yet been commited to
CVS, and the issue should be fairly unknown.

The original discovery is here:
http://sourceforge.net/tracker/index.php?func=detail&aid=1235427&group_id=235&atid=100235
Comment 1 Josh Bressers 2005-08-08 16:55:35 EDT
This issue also affects RHEL3 and RHEL2.1
Comment 2 Josh Bressers 2005-08-08 16:56:39 EDT
Created attachment 117560 [details]
Proposed patch for this issue
Comment 3 Josh Bressers 2005-08-09 23:36:40 EDT
Lifting embargo
Comment 4 Red Hat Bugzilla 2005-08-09 23:54:25 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-627.html

Note You need to log in before you can comment on or make changes to this bug.